Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/ChangeLog	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -1,2 +1,20 @@
+2004-03-23	Ralf Corsepius <ralf_corsepius@rtems.org>
+
+	* libcsupport/include/chain.h, libcsupport/include/clockdrv.h, 
+	libcsupport/include/ringbuf.h, libcsupport/include/spurious.h, 
+	libcsupport/include/timerdrv.h, libcsupport/include/vmeintr.h, 
+	libcsupport/include/motorola/mc68230.h, 
+	libcsupport/include/rtems/assoc.h, libcsupport/include/rtems/libio.h,
+	libcsupport/include/rtems/libio_.h,
+	libcsupport/include/rtems/termiostypes.h,
+	libcsupport/include/zilog/z8036.h, libcsupport/include/zilog/z8530.h,
+	libcsupport/include/zilog/z8536.h, libcsupport/src/__gettod.c,
+	libcsupport/src/assoc.c, libcsupport/src/assocnamebad.c,
+	libcsupport/src/error.c,  libcsupport/src/libio.c,
+	libcsupport/src/libio_sockets.c, libcsupport/src/malloc.c,
+	libcsupport/src/no_libc.c, libcsupport/src/termios.c,
+	libcsupport/src/termiosreserveresources.c: Convert to using c99
+	fixed-size types.
+
 2004-03-22	Ralf Corsepius <ralf_corsepius@rtems.org>
 
Index: cpukit/libcsupport/include/chain.h
===================================================================
--- cpukit/libcsupport/include/chain.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/chain.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -29,6 +29,6 @@
  *  Chain_Control                    *the_chain,		 * IN  * 
  *  void                             *starting_address,		 * IN  * 
- *  rtems_unsigned32                  number_nodes,		 * IN  * 
- *  rtems_unsigned32                  node_size			 * IN  * 
+ *  uint32_t                    number_nodes,		 * IN  * 
+ *  uint32_t                    node_size			 * IN  * 
  */
 
Index: cpukit/libcsupport/include/clockdrv.h
===================================================================
--- cpukit/libcsupport/include/clockdrv.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/clockdrv.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -22,5 +22,5 @@
 /* variables */
 
-extern volatile rtems_unsigned32 Clock_driver_ticks;
+extern volatile uint32_t   Clock_driver_ticks;
 extern rtems_device_major_number rtems_clock_major;
 extern rtems_device_minor_number rtems_clock_minor;
Index: cpukit/libcsupport/include/motorola/mc68230.h
===================================================================
--- cpukit/libcsupport/include/motorola/mc68230.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/motorola/mc68230.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -59,5 +59,5 @@
 /* Some RTEMS style defines: */
 #ifndef VOL8
-#define VOL8( ptr )   ((volatile rtems_unsigned8 *)(ptr))
+#define VOL8( ptr )   ((volatile uint8_t   *)(ptr))
 #endif
 
Index: cpukit/libcsupport/include/ringbuf.h
===================================================================
--- cpukit/libcsupport/include/ringbuf.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/ringbuf.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -33,5 +33,5 @@
 #define Ring_buffer_Add_character( _buffer, _ch ) \
   do { \
-    rtems_unsigned32 isrlevel; \
+    uint32_t   isrlevel; \
     \
     rtems_interrupt_disable( isrlevel ); \
@@ -43,5 +43,5 @@
 #define Ring_buffer_Remove_character( _buffer, _ch ) \
   do { \
-    rtems_unsigned32 isrlevel; \
+    uint32_t   isrlevel; \
     \
     rtems_interrupt_disable( isrlevel ); \
Index: cpukit/libcsupport/include/rtems/assoc.h
===================================================================
--- cpukit/libcsupport/include/rtems/assoc.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/rtems/assoc.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -13,6 +13,6 @@
 typedef struct {
     const char   *name;
-    unsigned32   local_value;
-    unsigned32   remote_value;
+    uint32_t     local_value;
+    uint32_t     remote_value;
 } rtems_assoc_t;
 
@@ -24,18 +24,18 @@
 
 const rtems_assoc_t *rtems_assoc_ptr_by_name(const rtems_assoc_t *, const char *);
-const rtems_assoc_t *rtems_assoc_ptr_by_value(const rtems_assoc_t *, unsigned32);
-const rtems_assoc_t *rtems_assoc_ptr_by_remote(const rtems_assoc_t *, unsigned32);
+const rtems_assoc_t *rtems_assoc_ptr_by_value(const rtems_assoc_t *, uint32_t  );
+const rtems_assoc_t *rtems_assoc_ptr_by_remote(const rtems_assoc_t *, uint32_t  );
 
-unsigned32   rtems_assoc_remote_by_local(const rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_local_by_remote(const rtems_assoc_t *, unsigned32);
-unsigned32   rtems_assoc_remote_by_name(const rtems_assoc_t *, const char *);
-unsigned32   rtems_assoc_local_by_name(const rtems_assoc_t *, const char *);
-const char  *rtems_assoc_name_by_local(const rtems_assoc_t *, unsigned32);
-const char  *rtems_assoc_name_by_remote(const rtems_assoc_t *, unsigned32);
+uint32_t     rtems_assoc_remote_by_local(const rtems_assoc_t *, uint32_t  );
+uint32_t     rtems_assoc_local_by_remote(const rtems_assoc_t *, uint32_t  );
+uint32_t     rtems_assoc_remote_by_name(const rtems_assoc_t *, const char *);
+uint32_t     rtems_assoc_local_by_name(const rtems_assoc_t *, const char *);
+const char  *rtems_assoc_name_by_local(const rtems_assoc_t *, uint32_t  );
+const char  *rtems_assoc_name_by_remote(const rtems_assoc_t *, uint32_t  );
 
-unsigned32   rtems_assoc_remote_by_local_bitfield(const rtems_assoc_t *, unsigned32);
-char  *rtems_assoc_name_by_local_bitfield(const rtems_assoc_t *, unsigned32, char *);
-char  *rtems_assoc_name_by_remote_bitfield(const rtems_assoc_t *, unsigned32, char *);
-unsigned32   rtems_assoc_local_by_remote_bitfield(const rtems_assoc_t *, unsigned32);
+uint32_t     rtems_assoc_remote_by_local_bitfield(const rtems_assoc_t *, uint32_t  );
+char  *rtems_assoc_name_by_local_bitfield(const rtems_assoc_t *, uint32_t  , char *);
+char  *rtems_assoc_name_by_remote_bitfield(const rtems_assoc_t *, uint32_t  , char *);
+uint32_t     rtems_assoc_local_by_remote_bitfield(const rtems_assoc_t *, uint32_t  );
 
 
Index: cpukit/libcsupport/include/rtems/libio.h
===================================================================
--- cpukit/libcsupport/include/rtems/libio.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/rtems/libio.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -49,6 +49,6 @@
   rtems_libio_t *iop,
   const char    *pathname,
-  unsigned32     flag,
-  unsigned32     mode
+  uint32_t       flag,
+  uint32_t       mode
 );
 
@@ -60,5 +60,5 @@
   rtems_libio_t *iop,
   void          *buffer,
-  unsigned32     count
+  uint32_t       count
 );
 
@@ -66,10 +66,10 @@
   rtems_libio_t *iop,
   const void    *buffer,
-  unsigned32    count
+  uint32_t      count
 );
 
 typedef int (*rtems_filesystem_ioctl_t)(
   rtems_libio_t *iop,
-  unsigned32     command,
+  uint32_t       command,
   void          *buffer
 );
@@ -341,8 +341,8 @@
     off_t                             size;      /* size of file */
     off_t                             offset;    /* current offset into file */
-    unsigned32                        flags;
+    uint32_t                          flags;
     rtems_filesystem_location_info_t  pathinfo;
     Objects_Id                        sem;      
-    unsigned32                        data0;     /* private to "driver" */
+    uint32_t                          data0;     /* private to "driver" */
     void                             *data1;     /* ... */
     void                             *file_info; /* used by file handlers */
@@ -359,8 +359,8 @@
     rtems_libio_t          *iop;
     off_t                   offset;
-    unsigned8              *buffer;
-    unsigned32              count;
-    unsigned32              flags;
-    unsigned32              bytes_moved;
+    uint8_t                *buffer;
+    uint32_t                count;
+    uint32_t                flags;
+    uint32_t                bytes_moved;
 } rtems_libio_rw_args_t;
 
@@ -371,6 +371,6 @@
 typedef struct {
     rtems_libio_t          *iop;
-    unsigned32              flags;
-    unsigned32              mode;
+    uint32_t                flags;
+    uint32_t                mode;
 } rtems_libio_open_close_args_t;
 
@@ -381,7 +381,7 @@
 typedef struct {
     rtems_libio_t          *iop;
-    unsigned32              command;
+    uint32_t                command;
     void                   *buffer;
-    unsigned32              ioctl_return;
+    uint32_t                ioctl_return;
 } rtems_libio_ioctl_args_t;
 
@@ -407,6 +407,6 @@
 typedef int (*rtems_libio_open_t)(
   const char  *pathname,
-  unsigned32  flag,
-  unsigned32  mode
+  uint32_t    flag,
+  uint32_t    mode
 );
 
@@ -418,5 +418,5 @@
   int         fd,
   void       *buffer,
-  unsigned32  count
+  uint32_t    count
 );
 
@@ -424,10 +424,10 @@
   int         fd,
   const void *buffer,
-  unsigned32  count
+  uint32_t    count
 );
 
 typedef int (*rtems_libio_ioctl_t)(
   int         fd,
-  unsigned32  command,
+  uint32_t    command,
   void       *buffer
 );
@@ -602,5 +602,5 @@
 void rtems_termios_reserve_resources(
   rtems_configuration_table *configuration,
-  rtems_unsigned32           number_of_devices
+  uint32_t             number_of_devices
 );
 
Index: cpukit/libcsupport/include/rtems/libio_.h
===================================================================
--- cpukit/libcsupport/include/rtems/libio_.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/rtems/libio_.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -40,5 +40,5 @@
  */
 
-extern unsigned32      rtems_libio_number_iops;
+extern uint32_t        rtems_libio_number_iops;
 extern rtems_libio_t  *rtems_libio_iops;
 extern rtems_libio_t  *rtems_libio_last_iop;
@@ -52,5 +52,5 @@
 
 #define rtems_libio_iop(_fd) \
-  ((((unsigned32)(_fd)) < rtems_libio_number_iops) ? \
+  ((((uint32_t  )(_fd)) < rtems_libio_number_iops) ? \
          &rtems_libio_iops[_fd] : 0)
 
@@ -87,5 +87,5 @@
 #define rtems_libio_check_fd(_fd) \
   do {                                                     \
-      if ((unsigned32) (_fd) >= rtems_libio_number_iops) { \
+      if ((uint32_t  ) (_fd) >= rtems_libio_number_iops) { \
           errno = EBADF;                                   \
           return -1;                                       \
@@ -207,10 +207,10 @@
 rtems_libio_t *rtems_libio_allocate(void);
 
-unsigned32 rtems_libio_fcntl_flags(
-  unsigned32 fcntl_flags
-);
-
-unsigned32 rtems_libio_to_fcntl_flags(
-  unsigned32 flags
+uint32_t   rtems_libio_fcntl_flags(
+  uint32_t   fcntl_flags
+);
+
+uint32_t   rtems_libio_to_fcntl_flags(
+  uint32_t   flags
 );
 
Index: cpukit/libcsupport/include/rtems/termiostypes.h
===================================================================
--- cpukit/libcsupport/include/rtems/termiostypes.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/rtems/termiostypes.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -91,5 +91,5 @@
 	 */
         struct rtems_termios_rawbuf rawInBuf;
-	rtems_unsigned32	rawInBufSemaphoreOptions;
+	uint32_t  	rawInBufSemaphoreOptions;
 	rtems_interval		rawInBufSemaphoreTimeout;
 	rtems_interval		rawInBufSemaphoreFirstTimeout;
Index: cpukit/libcsupport/include/spurious.h
===================================================================
--- cpukit/libcsupport/include/spurious.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/spurious.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -28,5 +28,5 @@
   void *,
   rtems_id,
-  rtems_unsigned32 *
+  uint32_t   *
 );
 
Index: cpukit/libcsupport/include/timerdrv.h
===================================================================
--- cpukit/libcsupport/include/timerdrv.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/timerdrv.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -24,5 +24,5 @@
 void Timer_initialize( void );
 
-rtems_unsigned32 Read_timer( void );
+uint32_t   Read_timer( void );
 
 rtems_status_code Empty_function( void );
Index: cpukit/libcsupport/include/vmeintr.h
===================================================================
--- cpukit/libcsupport/include/vmeintr.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/vmeintr.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -31,5 +31,5 @@
  */
 
-typedef rtems_unsigned8 VME_interrupt_Mask;
+typedef uint8_t   VME_interrupt_Mask;
 
 /*
Index: cpukit/libcsupport/include/zilog/z8036.h
===================================================================
--- cpukit/libcsupport/include/zilog/z8036.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/zilog/z8036.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -47,56 +47,56 @@
 struct z8036_map {
 /* MAIN CONTROL REGISTERS (0x00-0x07) */
-  rtems_unsigned8 MASTER_INTR;           /* Master Interrupt Ctl Reg */
-  rtems_unsigned8 MASTER_CFG;            /* Master Configuration Ctl Reg */
-  rtems_unsigned8 PORTA_VECTOR;          /* Port A - Interrupt Vector */
-  rtems_unsigned8 PORTB_VECTOR;          /* Port B - Interrupt Vector */
-  rtems_unsigned8 CNT_TMR_VECTOR;        /* Counter/Timer Interrupt Vector */
-  rtems_unsigned8 PORTC_DATA_POLARITY;   /* Port C - Data Path Polarity */
-  rtems_unsigned8 PORTC_DIRECTION;       /* Port C - Data Direction */
-  rtems_unsigned8 PORTC_SPECIAL_IO_CTL;  /* Port C - Special IO Control */
+  uint8_t   MASTER_INTR;           /* Master Interrupt Ctl Reg */
+  uint8_t   MASTER_CFG;            /* Master Configuration Ctl Reg */
+  uint8_t   PORTA_VECTOR;          /* Port A - Interrupt Vector */
+  uint8_t   PORTB_VECTOR;          /* Port B - Interrupt Vector */
+  uint8_t   CNT_TMR_VECTOR;        /* Counter/Timer Interrupt Vector */
+  uint8_t   PORTC_DATA_POLARITY;   /* Port C - Data Path Polarity */
+  uint8_t   PORTC_DIRECTION;       /* Port C - Data Direction */
+  uint8_t   PORTC_SPECIAL_IO_CTL;  /* Port C - Special IO Control */
 /* MOST OFTEN ACCESSED REGISTERS (0x08 - 0x0f) */
-  rtems_unsigned8 PORTA_CMD_STATUS;      /* Port A - Command Status Reg */
-  rtems_unsigned8 PORTB_CMD_STATUS;      /* Port B - Command Status Reg */
-  rtems_unsigned8 CT1_CMD_STATUS;        /* Ctr/Timer 1 - Command Status Reg */
-  rtems_unsigned8 CT2_CMD_STATUS;        /* Ctr/Timer 2 - Command Status Reg */
-  rtems_unsigned8 CT3_CMD_STATUS;        /* Ctr/Timer 3 - Command Status Reg */
-  rtems_unsigned8 PORTA_DATA;            /* Port A - Data */
-  rtems_unsigned8 PORTB_DATA;            /* Port B - Data */
-  rtems_unsigned8 PORTC_DATA;            /* Port C - Data */
+  uint8_t   PORTA_CMD_STATUS;      /* Port A - Command Status Reg */
+  uint8_t   PORTB_CMD_STATUS;      /* Port B - Command Status Reg */
+  uint8_t   CT1_CMD_STATUS;        /* Ctr/Timer 1 - Command Status Reg */
+  uint8_t   CT2_CMD_STATUS;        /* Ctr/Timer 2 - Command Status Reg */
+  uint8_t   CT3_CMD_STATUS;        /* Ctr/Timer 3 - Command Status Reg */
+  uint8_t   PORTA_DATA;            /* Port A - Data */
+  uint8_t   PORTB_DATA;            /* Port B - Data */
+  uint8_t   PORTC_DATA;            /* Port C - Data */
 /* COUNTER/TIMER RELATED REGISTERS (0x10-0x1f) */
-  rtems_unsigned8 CT1_CUR_CNT_MSB;       /* Ctr/Timer 1 - Current Count (MSB) */
-  rtems_unsigned8 CT1_CUR_CNT_LSB;       /* Ctr/Timer 1 - Current Count (LSB) */
-  rtems_unsigned8 CT2_CUR_CNT_MSB;       /* Ctr/Timer 2 - Current Count (MSB) */
-  rtems_unsigned8 CT2_CUR_CNT_LSB;       /* Ctr/Timer 2 - Current Count (LSB) */
-  rtems_unsigned8 CT3_CUR_CNT_MSB;       /* Ctr/Timer 3 - Current Count (MSB) */
-  rtems_unsigned8 CT3_CUR_CNT_LSB;       /* Ctr/Timer 3 - Current Count (LSB) */
-  rtems_unsigned8 CT1_TIME_CONST_MSB;    /* Ctr/Timer 1 - Time Constant (MSB) */
-  rtems_unsigned8 CT1_TIME_CONST_LSB;    /* Ctr/Timer 1 - Time Constant (LSB) */
-  rtems_unsigned8 CT2_TIME_CONST_MSB;    /* Ctr/Timer 2 - Time Constant (MSB) */
-  rtems_unsigned8 CT2_TIME_CONST_LSB;    /* Ctr/Timer 2 - Time Constant (LSB) */
-  rtems_unsigned8 CT3_TIME_CONST_MSB;    /* Ctr/Timer 3 - Time Constant (MSB) */
-  rtems_unsigned8 CT3_TIME_CONST_LSB;    /* Ctr/Timer 3 - Time Constant (LSB) */
-  rtems_unsigned8 CT1_MODE_SPEC;         /* Ctr/Timer 1 - Mode Specification  */
-  rtems_unsigned8 CT2_MODE_SPEC;         /* Ctr/Timer 2 - Mode Specification  */
-  rtems_unsigned8 CT3_MODE_SPEC;         /* Ctr/Timer 3 - Mode Specification  */
-  rtems_unsigned8 CURRENT_VECTOR;        /* Current Vector */
+  uint8_t   CT1_CUR_CNT_MSB;       /* Ctr/Timer 1 - Current Count (MSB) */
+  uint8_t   CT1_CUR_CNT_LSB;       /* Ctr/Timer 1 - Current Count (LSB) */
+  uint8_t   CT2_CUR_CNT_MSB;       /* Ctr/Timer 2 - Current Count (MSB) */
+  uint8_t   CT2_CUR_CNT_LSB;       /* Ctr/Timer 2 - Current Count (LSB) */
+  uint8_t   CT3_CUR_CNT_MSB;       /* Ctr/Timer 3 - Current Count (MSB) */
+  uint8_t   CT3_CUR_CNT_LSB;       /* Ctr/Timer 3 - Current Count (LSB) */
+  uint8_t   CT1_TIME_CONST_MSB;    /* Ctr/Timer 1 - Time Constant (MSB) */
+  uint8_t   CT1_TIME_CONST_LSB;    /* Ctr/Timer 1 - Time Constant (LSB) */
+  uint8_t   CT2_TIME_CONST_MSB;    /* Ctr/Timer 2 - Time Constant (MSB) */
+  uint8_t   CT2_TIME_CONST_LSB;    /* Ctr/Timer 2 - Time Constant (LSB) */
+  uint8_t   CT3_TIME_CONST_MSB;    /* Ctr/Timer 3 - Time Constant (MSB) */
+  uint8_t   CT3_TIME_CONST_LSB;    /* Ctr/Timer 3 - Time Constant (LSB) */
+  uint8_t   CT1_MODE_SPEC;         /* Ctr/Timer 1 - Mode Specification  */
+  uint8_t   CT2_MODE_SPEC;         /* Ctr/Timer 2 - Mode Specification  */
+  uint8_t   CT3_MODE_SPEC;         /* Ctr/Timer 3 - Mode Specification  */
+  uint8_t   CURRENT_VECTOR;        /* Current Vector */
 /* PORT A SPECIFICATION REGISTERS (0x20 -0x27) */
-  rtems_unsigned8 PORTA_MODE;            /* Port A - Mode Specification  */
-  rtems_unsigned8 PORTA_HANDSHAKE;       /* Port A - Handshake Specification  */
-  rtems_unsigned8 PORTA_DATA_POLARITY;   /* Port A - Data Path Polarity */
-  rtems_unsigned8 PORTA_DIRECTION;       /* Port A - Data Direction */
-  rtems_unsigned8 PORTA_SPECIAL_IO_CTL;  /* Port A - Special IO Control */
-  rtems_unsigned8 PORTA_PATT_POLARITY;   /* Port A - Pattern Polarity */
-  rtems_unsigned8 PORTA_PATT_TRANS;      /* Port A - Pattern Transition */
-  rtems_unsigned8 PORTA_PATT_MASK;       /* Port A - Pattern Mask */
+  uint8_t   PORTA_MODE;            /* Port A - Mode Specification  */
+  uint8_t   PORTA_HANDSHAKE;       /* Port A - Handshake Specification  */
+  uint8_t   PORTA_DATA_POLARITY;   /* Port A - Data Path Polarity */
+  uint8_t   PORTA_DIRECTION;       /* Port A - Data Direction */
+  uint8_t   PORTA_SPECIAL_IO_CTL;  /* Port A - Special IO Control */
+  uint8_t   PORTA_PATT_POLARITY;   /* Port A - Pattern Polarity */
+  uint8_t   PORTA_PATT_TRANS;      /* Port A - Pattern Transition */
+  uint8_t   PORTA_PATT_MASK;       /* Port A - Pattern Mask */
 /* PORT B SPECIFICATION REGISTERS (0x28-0x2f) */
-  rtems_unsigned8 PORTB_MODE;            /* Port B - Mode Specification  */
-  rtems_unsigned8 PORTB_HANDSHAKE;       /* Port B - Handshake Specification  */
-  rtems_unsigned8 PORTB_DATA_POLARITY;   /* Port B - Data Path Polarity */
-  rtems_unsigned8 PORTB_DIRECTION;       /* Port B - Data Direction */
-  rtems_unsigned8 PORTB_SPECIAL_IO_CTL;  /* Port B - Special IO Control */
-  rtems_unsigned8 PORTB_PATT_POLARITY;   /* Port B - Pattern Polarity */
-  rtems_unsigned8 PORTB_PATT_TRANS;      /* Port B - Pattern Transition */
-  rtems_unsigned8 PORTB_PATT_MASK;       /* Port B - Pattern Mask */
+  uint8_t   PORTB_MODE;            /* Port B - Mode Specification  */
+  uint8_t   PORTB_HANDSHAKE;       /* Port B - Handshake Specification  */
+  uint8_t   PORTB_DATA_POLARITY;   /* Port B - Data Path Polarity */
+  uint8_t   PORTB_DIRECTION;       /* Port B - Data Direction */
+  uint8_t   PORTB_SPECIAL_IO_CTL;  /* Port B - Special IO Control */
+  uint8_t   PORTB_PATT_POLARITY;   /* Port B - Pattern Polarity */
+  uint8_t   PORTB_PATT_TRANS;      /* Port B - Pattern Transition */
+  uint8_t   PORTB_PATT_MASK;       /* Port B - Pattern Mask */
 };
 
Index: cpukit/libcsupport/include/zilog/z8530.h
===================================================================
--- cpukit/libcsupport/include/zilog/z8530.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/zilog/z8530.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -27,5 +27,5 @@
 /* macros */
 
-#define VOL8( ptr )   ((volatile rtems_unsigned8 *)(ptr))
+#define VOL8( ptr )   ((volatile uint8_t   *)(ptr))
 
 #define Z8x30_STATE0 ( z8530 ) \
Index: cpukit/libcsupport/include/zilog/z8536.h
===================================================================
--- cpukit/libcsupport/include/zilog/z8536.h	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/include/zilog/z8536.h	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -30,5 +30,5 @@
 /* macros */
 
-#define VOL8( ptr )   ((volatile rtems_unsigned8 *)(ptr))
+#define VOL8( ptr )   ((volatile uint8_t   *)(ptr))
 
 #define Z8x36_STATE0 ( z8536 ) \
Index: cpukit/libcsupport/src/__gettod.c
===================================================================
--- cpukit/libcsupport/src/__gettod.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/__gettod.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -50,6 +50,6 @@
 {
   rtems_interrupt_level level;
-  rtems_unsigned32      seconds;
-  rtems_unsigned32      microseconds;
+  uint32_t        seconds;
+  uint32_t        microseconds;
 
   if ( !tp ) {
Index: cpukit/libcsupport/src/assoc.c
===================================================================
--- cpukit/libcsupport/src/assoc.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/assoc.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -39,5 +39,5 @@
 rtems_assoc_ptr_by_local(
     const rtems_assoc_t *ap,
-    unsigned32     local_value
+    uint32_t       local_value
   )
 {
@@ -58,5 +58,5 @@
 rtems_assoc_ptr_by_remote(
     const rtems_assoc_t *ap,
-    unsigned32     remote_value
+    uint32_t       remote_value
   )
 {
@@ -78,8 +78,8 @@
  */
 
-unsigned32
+uint32_t  
 rtems_assoc_remote_by_local(
     const rtems_assoc_t *ap,
-    unsigned32     local_value
+    uint32_t       local_value
   )
 {
@@ -92,8 +92,8 @@
 }
 
-unsigned32
+uint32_t  
 rtems_assoc_local_by_remote(
     const rtems_assoc_t *ap,
-    unsigned32     remote_value
+    uint32_t       remote_value
   )
 {
@@ -106,5 +106,5 @@
 }
 
-unsigned32
+uint32_t  
 rtems_assoc_remote_by_name(
     const rtems_assoc_t *ap,
@@ -120,5 +120,5 @@
 }
 
-unsigned32
+uint32_t  
 rtems_assoc_local_by_name(
     const rtems_assoc_t *ap,
@@ -140,5 +140,5 @@
 
 const char *rtems_assoc_name_bad(
-    unsigned32 bad_value
+    uint32_t   bad_value
 );
 
@@ -149,5 +149,5 @@
 rtems_assoc_name_by_local(
     const rtems_assoc_t *ap,
-    unsigned32     local_value
+    uint32_t       local_value
   )
 {
@@ -163,5 +163,5 @@
 rtems_assoc_name_by_remote(
     const rtems_assoc_t *ap,
-    unsigned32     remote_value
+    uint32_t       remote_value
   )
 {
@@ -179,11 +179,11 @@
  */
 
-unsigned32 rtems_assoc_remote_by_local_bitfield(
-    const rtems_assoc_t *ap,
-    unsigned32     local_value
-  )
-{  
-    unsigned32 b;
-    unsigned32 remote_value = 0;
+uint32_t   rtems_assoc_remote_by_local_bitfield(
+    const rtems_assoc_t *ap,
+    uint32_t       local_value
+  )
+{  
+    uint32_t   b;
+    uint32_t   remote_value = 0;
 
     for (b = 1; b; b <<= 1)
@@ -195,11 +195,11 @@
 
 
-unsigned32 rtems_assoc_local_by_remote_bitfield(
-    const rtems_assoc_t *ap,
-    unsigned32     remote_value
-  )
-{  
-    unsigned32 b;
-    unsigned32 local_value = 0;
+uint32_t   rtems_assoc_local_by_remote_bitfield(
+    const rtems_assoc_t *ap,
+    uint32_t       remote_value
+  )
+{  
+    uint32_t   b;
+    uint32_t   local_value = 0;
 
     for (b = 1; b; b <<= 1)
@@ -213,9 +213,9 @@
 rtems_assoc_name_by_remote_bitfield(
     const rtems_assoc_t *ap,
-    unsigned32     value,
+    uint32_t       value,
     char          *buffer
   )
 {  
-    unsigned32 b;
+    uint32_t   b;
 
     *buffer = 0;
@@ -235,9 +235,9 @@
 rtems_assoc_name_by_local_bitfield(
     const rtems_assoc_t *ap,
-    unsigned32     value,
+    uint32_t       value,
     char          *buffer
   )
 {  
-    unsigned32 b;
+    uint32_t   b;
 
     *buffer = 0;
Index: cpukit/libcsupport/src/assocnamebad.c
===================================================================
--- cpukit/libcsupport/src/assocnamebad.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/assocnamebad.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -26,5 +26,5 @@
 const char *
 rtems_assoc_name_bad(
-    unsigned32 bad_value
+    uint32_t   bad_value
 )
 {
Index: cpukit/libcsupport/src/error.c
===================================================================
--- cpukit/libcsupport/src/error.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/error.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -109,5 +109,5 @@
 
 static int rtems_verror(
-    unsigned32   error_flag,
+    uint32_t     error_flag,
     const char   *printf_format,
     va_list      arglist
Index: cpukit/libcsupport/src/libio.c
===================================================================
--- cpukit/libcsupport/src/libio.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/libio.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -49,5 +49,5 @@
  */         
 
-extern unsigned32  rtems_libio_number_iops;
+extern uint32_t    rtems_libio_number_iops;
 rtems_id           rtems_libio_semaphore;
 rtems_libio_t     *rtems_libio_iops;
@@ -122,10 +122,10 @@
 };
 
-unsigned32 rtems_libio_fcntl_flags(
-  unsigned32 fcntl_flags
-)
-{
-  unsigned32 flags = 0;
-  unsigned32 access_modes;
+uint32_t   rtems_libio_fcntl_flags(
+  uint32_t   fcntl_flags
+)
+{
+  uint32_t   flags = 0;
+  uint32_t   access_modes;
 
   /*
@@ -152,9 +152,9 @@
  */
 
-unsigned32 rtems_libio_to_fcntl_flags(
-  unsigned32 flags
-)
-{
-  unsigned32 fcntl_flags = 0;
+uint32_t   rtems_libio_to_fcntl_flags(
+  uint32_t   flags
+)
+{
+  uint32_t   fcntl_flags = 0;
 
   if ( (flags & LIBIO_FLAGS_READ_WRITE) == LIBIO_FLAGS_READ_WRITE ) {
Index: cpukit/libcsupport/src/libio_sockets.c
===================================================================
--- cpukit/libcsupport/src/libio_sockets.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/libio_sockets.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -33,5 +33,5 @@
 
   /* same as rtems_libio_check_fd(_fd) but different return */
-  if ((unsigned32)fd >= rtems_libio_number_iops) {
+  if ((uint32_t  )fd >= rtems_libio_number_iops) {
     errno = EBADF;
     return NULL;
Index: cpukit/libcsupport/src/malloc.c
===================================================================
--- cpukit/libcsupport/src/malloc.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/malloc.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -50,12 +50,12 @@
 
 struct {
-    unsigned32  space_available;             /* current size of malloc area */
-    unsigned32  malloc_calls;                /* # calls to malloc */
-    unsigned32  free_calls;
-    unsigned32  realloc_calls;
-    unsigned32  calloc_calls;
-    unsigned32  max_depth;		     /* most ever malloc'd at 1 time */
-    unsigned64  lifetime_allocated;
-    unsigned64  lifetime_freed;
+    uint32_t    space_available;             /* current size of malloc area */
+    uint32_t    malloc_calls;                /* # calls to malloc */
+    uint32_t    free_calls;
+    uint32_t    realloc_calls;
+    uint32_t    calloc_calls;
+    uint32_t    max_depth;		     /* most ever malloc'd at 1 time */
+    uint64_t    lifetime_allocated;
+    uint64_t    lifetime_freed;
 } rtems_malloc_stats;
 
@@ -72,6 +72,6 @@
   rtems_status_code   status;
   void               *starting_address;
-  rtems_unsigned32    old_address;
-  rtems_unsigned32    u32_address;
+  uint32_t      old_address;
+  uint32_t      u32_address;
 
   /*
@@ -92,5 +92,5 @@
     u32_address = (unsigned int)sbrk(length);
 
-    if (u32_address == (rtems_unsigned32) -1) {
+    if (u32_address == (uint32_t  ) -1) {
       rtems_fatal_error_occurred( RTEMS_NO_MEMORY );
       /* DOES NOT RETURN!!! */
@@ -157,6 +157,6 @@
   void              *return_this;
   void              *starting_address;
-  rtems_unsigned32   the_size;
-  rtems_unsigned32   sbrk_amount;
+  uint32_t     the_size;
+  uint32_t     sbrk_amount;
   rtems_status_code  status;
   Chain_Node        *to_be_freed;
@@ -213,6 +213,6 @@
     the_size = ((size + sbrk_amount) / sbrk_amount * sbrk_amount);
 
-    if (((rtems_unsigned32)starting_address = (void *)sbrk(the_size)) 
-            == (rtems_unsigned32) -1)
+    if (((uint32_t  )starting_address = (void *)sbrk(the_size)) 
+            == (uint32_t  ) -1)
       return (void *) 0;
 
@@ -246,6 +246,6 @@
   if (return_this)
   {
-      unsigned32 actual_size;
-      unsigned32 current_depth;
+      uint32_t   actual_size;
+      uint32_t   current_depth;
       status = rtems_region_get_segment_size(
                    RTEMS_Malloc_Heap, return_this, &actual_size);
@@ -290,5 +290,5 @@
 )
 {
-  rtems_unsigned32  old_size;
+  uint32_t    old_size;
   rtems_status_code status;
   char *new_area;
@@ -370,5 +370,5 @@
 #ifdef MALLOC_STATS
   {
-      unsigned32        size;
+      uint32_t          size;
       status = rtems_region_get_segment_size( RTEMS_Malloc_Heap, ptr, &size );
       if ( status == RTEMS_SUCCESSFUL ) {
@@ -396,5 +396,5 @@
 void malloc_dump(void)
 {
-    unsigned32 allocated = rtems_malloc_stats.lifetime_allocated -
+    uint32_t   allocated = rtems_malloc_stats.lifetime_allocated -
                      rtems_malloc_stats.lifetime_freed;
 
@@ -408,6 +408,6 @@
            (unsigned int) rtems_malloc_stats.max_depth / 1024,
            (rtems_malloc_stats.max_depth * 100) / rtems_malloc_stats.space_available,
-           (unsigned64) rtems_malloc_stats.lifetime_allocated / 1024,
-           (unsigned64) rtems_malloc_stats.lifetime_freed / 1024);
+           (uint64_t  ) rtems_malloc_stats.lifetime_allocated / 1024,
+           (uint64_t  ) rtems_malloc_stats.lifetime_freed / 1024);
     printf("  Call counts:   malloc:%d   free:%d   realloc:%d   calloc:%d\n",
            rtems_malloc_stats.malloc_calls,
Index: cpukit/libcsupport/src/no_libc.c
===================================================================
--- cpukit/libcsupport/src/no_libc.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/no_libc.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -36,5 +36,5 @@
 
 void libc_global_exit(
-  rtems_unsigned32 code
+  uint32_t   code
 )
 {
Index: cpukit/libcsupport/src/termios.c
===================================================================
--- cpukit/libcsupport/src/termios.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/termios.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -788,6 +788,6 @@
 	}
 	if (tty->termios.c_oflag & OPOST) {
-		unsigned32 count = args->count;
-		unsigned8 *buffer = args->buffer;
+		uint32_t   count = args->count;
+		uint8_t   *buffer = args->buffer;
 		while (count--)
 			oproc (*buffer++, tty);
@@ -1110,6 +1110,6 @@
 	rtems_libio_rw_args_t *args = arg;
 	struct rtems_termios_tty *tty = args->iop->data1;
-	unsigned32 count = args->count;
-	unsigned8 *buffer = args->buffer;
+	uint32_t   count = args->count;
+	uint8_t   *buffer = args->buffer;
 	rtems_status_code sc;
 
Index: cpukit/libcsupport/src/termiosreserveresources.c
===================================================================
--- cpukit/libcsupport/src/termiosreserveresources.c	(revision f91bbe6412aae92765ce43b22f4eef9f516a7289)
+++ cpukit/libcsupport/src/termiosreserveresources.c	(revision 83c5fc1bb9b45c22e428e1f7642b5a67cbf44b98)
@@ -17,5 +17,5 @@
 void rtems_termios_reserve_resources (
   rtems_configuration_table *configuration,
-  rtems_unsigned32           number_of_devices
+  uint32_t             number_of_devices
 )
 {
